@import url('https://fonts.googleapis.com/css2?family=Martel+Sans:wght@600&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Martel+Sans:wght@600&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    font-family: "Poppins", sans-serif;
}

.main {
    background-image: url(/netflix-clone/assests/bg.jpg);
    height: 70vh;
    position: relative;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: max(1200px, 100vw);
}

.body {
    background-color: black;
    opacity: 0.69;
    height: 70vh;
    width: 100%;
    position: absolute;
    top: 0;
}

body {
    background-color: black;
}

nav {
    display: flex;
    max-width: 60vw;
    margin: 0 auto;
    justify-content: space-between;
    align-items: center;
    height: 100px;
}

nav div {
    position: relative;
    z-index: 10;
}

nav img {
    width: 130px;
}

.hero {
    height: calc(100% - 100px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
    position: relative;
    z-index: 10;
    gap: 23px;
    padding: 0 30px;
    font-family: "Martel Sans", sans-serif;

}

.hero> :nth-child(1) {
    font-size: 39px;
    font-weight: bolder;
    text-align: center;
}

.hero> :nth-child(2) {
    font-size: 20px;
    font-weight: 350;
    text-align: center;
}

.hero> :nth-child(3) {
    font-size: 20px;
    font-weight: 350;
    text-align: center;
}

.line {
    background-color: rgb(75, 74, 74);
    position: relative;
    z-index: 11;
    height: 7px;   
}

.btn {
    padding: 3px 8px;
    font-weight: 400;
    color: white;
    background-color: rgba(248, 243, 243, 0.021);
    border-radius: 4px;
    border: 1px solid white;
    cursor: pointer;
}

.hero-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.main input {
    padding: 7px 101px 8px 14px;
    font-weight: 900;
    font-size: 12px;
    color: white;
    border-radius: 4px;
    background-color: rgba(23, 23, 23, 0.7);
    border: 1px solid rgba(255, 255, 255, 0.4);
}


.red-btn {
    background-color: rgb(209, 2, 2);
    color: white;
    padding: 3px 24px;
    font-size: 20px;
    border-radius: 4px;
    font-weight: 400;
}

.red-sm {
    background-color: rgb(209, 2, 2);
    color: white;

}

.first {
    display: flex;
    justify-content: center;
    max-width: 70vw;
    margin: auto;
    color: white;
    align-items: center;
}

.secimg {
    position: relative;
}

.secimg img {
    /* width: 30vw; */
    position: relative;
    z-index: 10;
    width: 555px;

}

.secimg video {
    position: absolute;
    top: 51px;
    right: 0;
    width: 500px;
    /* width: 27.8vw; */
    /* height: 27.8vh; */
}

section.first>div {
    display: flex;
    flex-direction: column;
    padding: 34px 0;
}

section.first>div :nth-child(1) {
    font-size: 48px;
    font-weight: bolder;
}

section.first>div :nth-child(2) {
    font-size: 19px;

}

.faq h2 {
    text-align: center;
    font-size: 48px;
}

.faq {
    background-color: black;
    color: white;
    padding: 34px;

}

.faqbox svg {
    filter: invert(1)
}

.faqbox {
    display: flex;
    justify-content: space-between;
    background-color: #2d2d2d;
    padding: 24px;
    max-width: 60vw;
    transition: all 1s ease-out;
    margin: 13px auto;
    cursor: pointer;
    font-size: 24px;

}

.faqbox:hover {
    background-color: #414141;

}

footer {
    color: white;
    max-width: 60vw;
    margin: auto;
    padding: 14px;
}

footer .questions {
    padding: 34px 0;
}


.footer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    color: white;
    
}

.footer a {
    color: white;
    font-size: 14px;
}

.footer-item {
    display: flex;
    flex-direction: column;
    color: white;
    gap: 23px;
}

@media screen and (max-width:1300px) {
    nav{
        max-width: 90vw;
    }
    .first {
        flex-wrap: wrap;
    }

    .footer {
        display: grid;
        grid-template-columns: 1fr 1fr;
        color: white;
        gap: 25x;
    }

    .secimg img {
        width: 305px;

    }

    .secimg video {
        width: 300px;
    }

    .hero> :nth-child(1) {
        font-size: 32px;
    }

    .hero> :nth-child(2) {
        font-size: 18px;
    }

    .hero> :nth-child(3) {
        font-size: 18px;
    }
    .hero-buttons{
        display: flex;
        flex-direction:column;
        align-items:center;
        justify-content:center;
        gap:16px;
    }
    .faq h2 {
    text-align: center;
    font-size: 32px;
}
  footer{
    max-width: 90vw;
    

  }
  .footer-item{
    align-items: center;
  }

}